Name:		veracrypt
Version:	1.22
Release:	1%{?dist}
Summary:	Disk Encryption Software based upon TrueCrypt

License:	APL 2.0
URL:		https://www.veracrypt.fr
Source0:	VeraCrypt_%{version}_Source.tar.bz2
Source1:	veracrypt.sudoers

BuildRequires:	gcc-c++, wxGTK3-devel, ImageMagick, gawk
Requires:	sudo

%description
VeraCrypt is a free open source disk encryption software for Windows,
Mac OSX and Linux. Brought to you by IDRIX (https://www.idrix.fr) and
based on TrueCrypt 7.1a.  VeraCrypt main features:

 Creates a virtual encrypted disk within a file and mounts it as a
 real disk.

 Encrypts an entire partition or storage device such as USB flash
 drive or hard drive.

 Encrypts a partition or drive where Windows is installed (pre-boot
 authentication).

 Encryption is automatic, real-time(on-the-fly) and transparent.

 Parallelization and pipelining allow data to be read and written as
 fast as if the drive was not encrypted.

 Encryption can be hardware-accelerated on modern processors.

 Provides plausible deniability, in case an adversary forces you to
 reveal the password: Hidden volume (steganography) and hidden
 operating system.

%prep
%setup -q -c

%build
%make_build -C src TC_EXTRA_CFLAGS="%{build_cflags}" TC_EXTRA_CXXFLAGS="%{build_cxxflags}" TC_EXTRA_LDFLAGS="%{build_ldflags}" NOSTRIP=1
convert src/Resources/Icons/VeraCrypt-256x256.xpm src/Resources/Icons/veracrypt.png
%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}
install -p -m 755 src/Main/veracrypt $RPM_BUILD_ROOT%{_bindir}/
install -d $RPM_BUILD_ROOT%{_datadir}/applications
install -p src/Setup/Linux/veracrypt.desktop $RPM_BUILD_ROOT%{_datadir}/applications/
install -d $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -p src/Resources/Icons/veracrypt.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/
install -d $RPM_BUILD_ROOT%{_sysconfdir}/sudoers.d
install -p %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/sudoers.d/veracrypt

%files
%license License.txt
%doc doc/html
%{_bindir}/veracrypt
%{_datadir}/applications/veracrypt.desktop
%{_datadir}/pixmaps/veracrypt.png
%{_sysconfdir}/sudoers.d/veracrypt

%changelog
* Thu Apr 12 2018 Philippe Troin <phil@fifi.org> - 1.22-1
- Upstream updated to 1.22.

* Mon Mar 19 2018 Philippe Troin <phil@fifi.org> - 1.21-1
- Created.
